<template>
    <form @submit.prevent="guardar" action="https://vuejs.org/" method="post">
        <div class="mb-3">
            <label for="exampleInputEmail1" class="form-label" >Email address</label>
            <input type="email" v-model="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
            <div id="emailHelp" class="form-text">We'll never share your email with anyone else.</div>
        </div>
        <div class="mb-3">
            <label for="exampleInputPassword1"  class="form-label">Password</label>
            <input type="password" v-model="password" class="form-control" id="exampleInputPassword1">
        </div>
        <div class="mb-3 form-check">
            <input type="checkbox" class="form-check-input" id="exampleCheck1">
            <label class="form-check-label" for="exampleCheck1">Check me out</label>
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</template>

<script>
export default {
    name:"app",
    data(){
        return{
            error:[],
            email:"",
            password:"",
            usuarios:[]
        }
    },
    methods: {
        guardar(){

            if(!this.email){
                this.error.push("El email es obligatorio")
            }

            if(!this.password){
                this.error.push("La contraseña es obligatoria")
            }

            if(this.email && this.password){

                let data={
                    'correo':this.email,
                    'pasword':this.password,
                }
                this.usuarios.push(data);
                console.log(this.usuarios)
                this.email=""
                this.password=""   
            }

            console.log(this.error);
        }
    },
}
</script>